From bd3f397242418a20d6a8f316e61e3bb88e5da343 Mon Sep 17 00:00:00 2001
From: Nicolas Boulenguez <nicolas@debian.org>
Date: Sun, 10 Mar 2024 23:07:12 +0100
Subject: [PATCH 11/11] scripts/t/mk/buildflags.mk: fix test of _MAINT_APPEND
 when TEST_ is empty

---
 scripts/t/mk/buildflags.mk | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/scripts/t/mk/buildflags.mk b/scripts/t/mk/buildflags.mk
index 166c95548..914b1a36a 100644
--- a/scripts/t/mk/buildflags.mk
+++ b/scripts/t/mk/buildflags.mk
@@ -25,10 +25,11 @@ test: $(loop_targets)
 	test '$(CXXFLAGS_FOR_BUILD)' = 'set-build'
 	test "$${CXXFLAGS_FOR_BUILD}" = 'set-build'
 
-	test '$(CPPFLAGS)' = '$(TEST_CPPFLAGS) -DTEST_MK=test-host'
-	test "$${CPPFLAGS}" = '$(TEST_CPPFLAGS) -DTEST_MK=test-host'
-	test '$(CPPFLAGS_FOR_BUILD)' = '$(TEST_CPPFLAGS_FOR_BUILD) -DTEST_MK=test-build'
-	test "$${CPPFLAGS_FOR_BUILD}" = '$(TEST_CPPFLAGS_FOR_BUILD) -DTEST_MK=test-build'
+# strip eats the space when TEST_CPPFLAGS is empty.
+	test '$(CPPFLAGS)' = '$(strip $(TEST_CPPFLAGS) -DTEST_MK=test-host)'
+	test "$${CPPFLAGS}" = '$(strip $(TEST_CPPFLAGS) -DTEST_MK=test-host)'
+	test '$(CPPFLAGS_FOR_BUILD)' = '$(strip $(TEST_CPPFLAGS_FOR_BUILD) -DTEST_MK=test-build)'
+	test "$${CPPFLAGS_FOR_BUILD}" = '$(strip $(TEST_CPPFLAGS_FOR_BUILD) -DTEST_MK=test-build)'
 
 $(loop_targets):
   # Test the Make variable.
-- 
2.39.2

